The CRM Settings object

Attributes

id string

Unique identifier for the object.

created_at string

ISO 8601 timestamp of when the object was created.

updated_at string

ISO 8601 timestamp of when the object was last updated.

campaign_naming_by string
default_valid_till string
allow_lead_duplication_based_on_emails boolean

Default: false

auto_creation_of_contact boolean

Default: true

close_opportunity_after_days integer

Default: 15

carry_forward_communication_and_comments boolean

Default: false

update_timestamp_on_new_communication boolean

Default: false

The CRM Settings object
{
  "id": "c-r-m-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "campaign_naming_by": "campaign_naming_by_example",
  "default_valid_till": "default_valid_till_example",
  "allow_lead_duplication_based_on_emails": false,
  "auto_creation_of_contact": true,
  "close_opportunity_after_days": 15,
  "carry_forward_communication_and_comments": false,
  "update_timestamp_on_new_communication": false
}
GET /api/crm/c-r-m-settings

Retrieve crm settings

Retrieves the current crm settings. This is a singleton resource.

Returns

Returns the crm settings object.

GET /api/crm/c-r-m-settings
curl https://api.overplane.dev/api/crm/c-r-m-settings \
  -H "Authorization: Bearer sk_test_..."
Response
{
  "id": "c-r-m-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "campaign_naming_by": "campaign_naming_by_example",
  "default_valid_till": "default_valid_till_example",
  "allow_lead_duplication_based_on_emails": false,
  "auto_creation_of_contact": true,
  "close_opportunity_after_days": 15,
  "carry_forward_communication_and_comments": false,
  "update_timestamp_on_new_communication": false
}
PATCH /api/crm/c-r-m-settings/{id}

Update a crm settings

Updates the specified crm settings by setting the values of the parameters passed. Any parameters not provided will be left unchanged.

Path parameters

id string required

The identifier of the crm settings to update.

Body parameters

campaign_naming_by string
default_valid_till string
allow_lead_duplication_based_on_emails boolean

Default: false

auto_creation_of_contact boolean

Default: true

close_opportunity_after_days integer

Default: 15

carry_forward_communication_and_comments boolean

Default: false

update_timestamp_on_new_communication boolean

Default: false

Returns

Returns the updated crm settings object.

PATCH /api/crm/c-r-m-settings/{id}
curl https://api.overplane.dev/api/crm/c-r-m-settings/c-r-m-settings_abc123 \
  -H "Authorization: Bearer sk_test_..." \
  -X PATCH \
  -H "Content-Type: application/json" \
  -d '{"campaign_naming_by":"campaign_naming_by_example","default_valid_till":"default_valid_till_example"}'
Response
{
  "id": "c-r-m-settings_abc123",
  "created_at": "2024-01-15T09: 30: 00Z",
  "updated_at": "2024-01-15T09: 30: 00Z",
  "campaign_naming_by": "campaign_naming_by_example",
  "default_valid_till": "default_valid_till_example",
  "allow_lead_duplication_based_on_emails": false,
  "auto_creation_of_contact": true,
  "close_opportunity_after_days": 15,
  "carry_forward_communication_and_comments": false,
  "update_timestamp_on_new_communication": false
}